USE [COWS]
GO

/****** Object:  Table [dbo].[M5_ORDR_MSG]    Script Date: 10/09/2015 15:16:51 ******/
SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE TABLE [dbo].[M5_ORDR_MSG](
	[M5_REQ_ID] [int] IDENTITY(1,1) NOT FOR REPLICATION NOT NULL,
	[ORDR_ID] [int] NULL,
	[M5_MSG_ID] [int] NOT NULL,
	[STUS_ID] [smallint] NOT NULL,
	[CREAT_DT] [smalldatetime] NOT NULL,
	[EVENT_ID] [int] NULL,
	[SENT_DT] [smalldatetime] NULL,
	[FSA_CPE_LINE_ITEM_ID] [int] NULL,
 CONSTRAINT [PK_M5_ORDR_MSG] PRIMARY KEY CLUSTERED 
(
	[M5_REQ_ID] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]

GO

ALTER TABLE [dbo].[M5_ORDR_MSG]  WITH NOCHECK ADD  CONSTRAINT [FK01_M5_ORDR_MSG] FOREIGN KEY([ORDR_ID])
REFERENCES [dbo].[ORDR] ([ORDR_ID])
GO

ALTER TABLE [dbo].[M5_ORDR_MSG] CHECK CONSTRAINT [FK01_M5_ORDR_MSG]
GO

ALTER TABLE [dbo].[M5_ORDR_MSG]  WITH NOCHECK ADD  CONSTRAINT [FK02_M5_ORDR_MSG] FOREIGN KEY([STUS_ID])
REFERENCES [dbo].[LK_STUS] ([STUS_ID])
GO

ALTER TABLE [dbo].[M5_ORDR_MSG] CHECK CONSTRAINT [FK02_M5_ORDR_MSG]
GO

ALTER TABLE [dbo].[M5_ORDR_MSG]  WITH NOCHECK ADD  CONSTRAINT [FK04_M5_ORDR_MSG] FOREIGN KEY([EVENT_ID])
REFERENCES [dbo].[EVENT] ([EVENT_ID])
GO

ALTER TABLE [dbo].[M5_ORDR_MSG] CHECK CONSTRAINT [FK04_M5_ORDR_MSG]
GO


